/***********************
* Adobe Edge Animate コンポジションアクション
*
* このファイルを編集する際には注意が必要です。必ず関数シグニチャと
* 「Edge」で始まるコメントを保持して、 Adobe Edge 内からこれらのアクションを
* 操作可能な状態にしておいてください。 
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // よく使用する Edge クラスのエイリアス

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         var SIZE = 520;				//閾値
         var BN_SMALL = "bnsmall";	//小さいバナーを表す定数風変数
         var BN_BIG = "bnbig";		//大きいバナーを表す定数風変数
         
         var state = getState();		//現在のバナーの状態
         var currentBanner = null;
         
         //現在の状態を取得する関数
         function getState(){
         　　return ($(window).width()<SIZE) ? BN_SMALL : BN_BIG;
         }
         //サイズ変更処理
         function changeBanner(newState){
           if(currentBanner!=null)currentBanner.deleteSymbol();
           state = newState;
           if(newState==BN_SMALL){
             currentBanner = sym.createChildSymbol("BN_SMALL", "Stage");
             sym.getSymbolElement().css("height","50px");
           }else{
             currentBanner = sym.createChildSymbol("BN_BIG", "Stage");
             sym.getSymbolElement().css("height","90px");
           }
         }
         //リサイズイベント
         $(window).resize(function() {
           var newState = getState();
           if(state != newState){
             changeBanner(newState);
           }
         });
         //初回呼び出し
         changeBanner(state);
         
         //バナーにマウスカーソルを乗せた際、マウスポインタを指のマークに変更
         sym.getSymbolElement().css("cursor","pointer");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Stage}", "click", function(sym, e) {
         // マウスクリックのコードをここに挿入します
         window.open("http://html.adobe.com/jp/", "_blank");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'BN_SMALL'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8500, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("BN_BIG");
   //Edge symbol end:'BN_BIG'

   //=========================================================
   
   //Edge symbol: 'BN_SMALL_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5500, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("BN_SMALL");
   //Edge symbol end:'BN_SMALL'

   //=========================================================
   
   //Edge symbol: 'caption_back'
   (function(symbolName) {   
   
   })("caption_back");
   //Edge symbol end:'caption_back'

   //=========================================================
   
   //Edge symbol: 'caption_centerMark'
   (function(symbolName) {   
   
   })("caption_centerMark");
   //Edge symbol end:'caption_centerMark'

   //=========================================================
   
   //Edge symbol: 'caption_back_1'
   (function(symbolName) {   
   
      })("lead_back");
   //Edge symbol end:'lead_back'

   //=========================================================
   
   //Edge symbol: 'caption_centerMark_1'
   (function(symbolName) {   
   
      })("lead_centerMark_s");
   //Edge symbol end:'lead_centerMark_s'

   //=========================================================
   
   //Edge symbol: 'lead_back_1'
   (function(symbolName) {   
   
      })("lead_back_s");
   //Edge symbol end:'lead_back_s'

   //=========================================================
   
   //Edge symbol: 'lead_centerMark_1'
   (function(symbolName) {   
   
      })("lead_centerMark");
   //Edge symbol end:'lead_centerMark'

})(jQuery, AdobeEdge, "BN-EDGE");